## org.gnu.gtk
Class SpinButtonUpdatePolicy

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SpinButtonUpdatePolicy

public class SpinButtonUpdatePolicy
extends Enum

This is the property which determines when a `SpinButton` widget should be updated. TODO: doc ALWAYS When refreshing your GtkSpinButton, the value is always displayed. IF_VALIDWhen refreshing your GtkSpinButton, the value is only displayed if it is valid within the bounds of the spin button's GtkAdjustment.

See Also:
  `SpinButton`

Field Summary
`static SpinButtonUpdatePolicy` `ALWAYS`
`static SpinButtonUpdatePolicy` `IF_VALID`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SpinButtonUpdatePolicy` `and(SpinButtonUpdatePolicy other)`
`static SpinButtonUpdatePolicy` `intern(int value)`
`SpinButtonUpdatePolicy` `or(SpinButtonUpdatePolicy other)`
`boolean` `test(SpinButtonUpdatePolicy other)`
`SpinButtonUpdatePolicy` `xor(SpinButtonUpdatePolicy other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALWAYS

    public static final SpinButtonUpdatePolicy ALWAYS

### IF_VALID

    public static final SpinButtonUpdatePolicy IF_VALID

Method Detail

### intern

    public static SpinButtonUpdatePolicy intern(int value)

### or

    public SpinButtonUpdatePolicy or(SpinButtonUpdatePolicy other)

### and

    public SpinButtonUpdatePolicy and(SpinButtonUpdatePolicy other)

### xor

    public SpinButtonUpdatePolicy xor(SpinButtonUpdatePolicy other)

### test

    public boolean test(SpinButtonUpdatePolicy other)